## gridengine 8.1.8+dfsg

=== debian/changelog ===
gridengine (8.1.8+dfsg-5) unstable; urgency=medium

  * libdrmaa-ruby: correct dependency on gridengine-drmaa
  * Allow parallel building

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Apr 2016 20:38:45 -0700

gridengine (8.1.8+dfsg-4) unstable; urgency=medium

  * Use maintainer scripts to start/stop daemons during upgrades.
  * Use arch: any for arch-dependent packages (Closes: #694040, #735017).
  * Add a symlink to versioned libdrmaa so file (Closes: #820083).
  * Set rpath to /usr/lib/gridengine during build.

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Apr 2016 18:03:30 -0700

gridengine (8.1.8+dfsg-3) unstable; urgency=medium

  * Declare Breaks/Replaces relationships in gridengine-{common,client}
    (Closes: #818844)

 -- Afif Elghraoui <afif@debian.org>  Sun, 20 Mar 2016 19:38:41 -0700

gridengine (8.1.8+dfsg-2) unstable; urgency=medium

  * Fix build for --no-arch-all
  * Use cgit rather than gitweb for Vcs-Browser
  * List dependencies one per line for better visualization of diffs

 -- Afif Elghraoui <afif@debian.org>  Sun, 20 Mar 2016 11:45:51 -0700

gridengine (8.1.8+dfsg-1) experimental; urgency=medium

  [ Dave Love ]
  * New upstream release (supports arm64, ppc64el) (Closes: #693722)
  * Fix cqueue_summary_xml_handler_init (Closes: #749413)
  * Add libmotif-dev, libxft-dev to Build-Depends to fix possible FTBFS
  * Add conffiles for common
  * Require libxft-dev
  * Move libspool* to client and have exec package depend on it
  * Remove jemalloc patch
  * Fix clean rule
  * Define DEFAULT_EDITOR, use -with-jemalloc in rules
  * Fix armhf detection
  * New upstream release (Closes: #715958)
  * Link with jemalloc.
  * Depend on procps (for /bin/ps, called in some places)
  * Install logcheck config and PAM modules
  * Build-depend on motif-dev, not lesstif2-dev (Closes: #714661, #707937).
  * Don't build-depend on ant, quilt.  Depend on awk in gridengine-common.
  * Fix description for libdrmaa1.0-java-doc, gridengine-drmaa-dev
  * Pick up `-j' from xxx-buildpackage.
  * New upstream release
    - Add architectures s390x, armel, armhf, mips, mipsel.
    - Don't install un-maintained Changelog.
    - Drop most patches, just patching aimk.private.  Part of the 6.2u5-7.1
      one was bogus -- not replicated (Closes: #678618).
    - New package libdrmaa1.0-ruby.
    - Closes: #543649, #599985, #698286, #693722.
    - Remove scripts/cleanup_sgetarball.sh, qlogin.wrapper.
    - Use system jemalloc.
  * Rename package libdrmaa-java to libdrmaa1.0-java (DRMMA2 on the horizon)
    and add package libdrmaa1.0-java-doc.
  * Various build changes
    - Simplify rules by using dh with overrides.
    - Update compat and standards level.
    - Generalize csh dependencies.
    - libdrmaa-java depends on gridengine-drmaa-dev.
    - Move non-drmaa jar files to common/client package.
    - Remove unnecessary X library dependencies.
  * Add various docs, including javadocs.
  * Ship util directory (LP: #901308).
  * Ship installation scripts, link to /var/lib/gridengine, and stop
    installation complaining about missing binaries (Closes: #598510).
  * Various build changes, e.g. with debugging, use mandb, not man page
    links.
  * Modify configuration file
    - set uidmin/gidmin to 1000 for security
      <http://arc.liv.ac.uk/SGE/howto/sge-security.html>
    - add jsv params
    - use builtin remote startup to provide proper integration
  * Put all of utilbin into clients package; link /var/lib/gridengine/bin
    from /usr/lib/gridengine, not /usr/bin; add links for other
    architectures; link to /var/lib/gridengine/lib too.
  * Depend on openssl and db-util; link db utils.
  * Generate settings.{sh,csh}.
  * Enable build hardening.
  * Add lintian-overrides.
  * Ship jgdi, qmake (as qmake_sge), qtcsh (fixes LP: #904376).
  * Conflict with torque.
  * Add qmon menu entry, watch file.
  * Drop dependence on fonts to satisfy lintian -- regresses #609914.
  * Update linux32-wrapper (Closes: #694040).
  * Avoid dependence on libXpm.
  * Change openssh to suggests from recommends.
  * Use debhelper >=9, per packaging guide.

  [ Afif Elghraoui ]
  * Use libdb metapackage in build-depends (Closes: #734702)
  * Revamp debian/copyright
  * Use canonical VCS URLs
  * Set version in d/NEWS to match version in changelog
  * Set gridengine-exec to depend on same version of gridengine-client
  * Use dpkg-dev to import build flags
  * Remove dependency on obsolete hardening-wrapper
  * Always generate autotools helper files
  * Move javadoc from gridengine-client into gridengine-common
  * Add myself to uploaders
  * Add Suggests for interpreters required for optional scripts
  * Remove unused lintian overrides
  * Add Brazilian Portuguese po template.
    Thanks to Adriano Rafael Gomes (Closes: #811509)
  * Use MIT license for debian/*
  * Bump Standards-Version to latest version: 3.9.7
  * Use encrypted protocols for Vcs URLs
  * Register the upstream changelog with debhelper
  * Support ppc64el architecture.
    Thanks to Frederic Bonnard (Closes: #815754)

 -- Afif Elghraoui <afif@debian.org>  Sat, 12 Mar 2016 20:15:22 -0800

gridengine (6.2u5-7.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * Fix code injection and buffer overflow (CVE-2012-0523).

 -- Luk Claes <luk@debian.org>  Sat, 23 Jun 2012 09:24:47 +0200

gridengine (6.2u5-7) unstable; urgency=low

  * gridengine-common: Add Replaces gridengine-client << 6.2u5-2 to avoid
    issues with qlogin-wrapper.  Closes: #657413.

 -- Mark Hymers <mhy@debian.org>  Sun, 13 May 2012 17:21:27 +0100

gridengine (6.2u5-6) unstable; urgency=high

  * Fix remote root exploit due to trusted user environment (CVE-2012-0208)
    (same patch as 6.2u5-1squeeze1)

 -- Mark Hymers <mhy@debian.org>  Tue, 07 Feb 2012 09:55:05 +0000

gridengine (6.2u5-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * remove alternatives after purge. Closes: #671338
  * use (<< 6.2u5-5) for Brakes & Replaces fields Closes: #671298


