=== debian/control ===
Source: gridengine
Section: utils
Priority: optional
Maintainer: Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>
Uploaders: Dave Love <d.love@liverpool.ac.uk>,
	   Afif Elghraoui <afif@debian.org>,
           Laszlo Kajan <lkajan@debian.org>,
           Mark Hymers <mhy@debian.org>,
           Michael Banck <mbanck@debian.org>
Build-Depends:
	debhelper (>= 9),
	dh-autoreconf,
	autotools-dev,
	tcsh | c-shell,
	libdb-dev,
	libssl-dev,
	libncurses5-dev,
	libpam0g-dev,
	libxt-dev,
	libmotif-dev,
	libxpm-dev,
	libxmu-dev,
	po-debconf,
	default-jdk,
	ant,
	ant-optional,
	junit,
	javacc,
	libhwloc-dev,
	libjemalloc-dev,
	libxft-dev,
Standards-Version: 3.9.7
Homepage: https://arc.liv.ac.uk/trac/SGE/
Vcs-Git: https://anonscm.debian.org/git/pkg-gridengine/pkg-gridengine.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gridengine/pkg-gridengine.git

Package: gridengine-common
Architecture: all
Depends:
	${misc:Depends},
	adduser,
	bsd-mailx | mailx,
	ucf,
	tcsh | c-shell,
Suggests:
	python,
	tclsh,
Breaks:
	libdrmaa-dev,
	gridengine-drmaa-dev (<< 6.2u5-8),
Replaces:
	gridengine-client (<< 6.2u5-2),
	gridengine-drmaa-dev (<< 6.2u5-8),
	libdrmaa-dev
Description: Distributed resource management - common files
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains required shared files and the basic configuration.

Package: gridengine-client
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
	openssl,
Suggests:
	ssh-client,
	gridengine-qmon,
Conflicts: torque-client
Breaks:
	libdrmaa-java,
	gridengine-master (<< 6.2u5-8),
	gridengine-exec (<< 6.2u5-8),
Replaces:
	libdrmaa-java,
	gridengine-master (<< 6.2u5-8),
	gridengine-exec (<< 6.2u5-8),
Description: Utilities for Grid Engine queue management
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine user utilities.

Package: gridengine-qmon
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
Recommends: xfonts-75dpi | xfonts-100dpi
Description: Graphical utilities for Grid Engine queue management
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the graphical Grid Engine administration frontend.

Package: gridengine-master
Architecture: any
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-client (= ${binary:Version}),
	procps,
Recommends: db-util
Description: Distributed resource management - Master Server
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine master server.

Package: gridengine-exec
Architecture: any
Replaces: gridengine-master (<< 6.2-3)
Depends:
	${shlibs:Depends},
	${misc:Depends},
	gridengine-common (= ${source:Version}),
	gridengine-client (= ${binary:Version}),
	tcsh | c-shell,
	procps,
Suggests: openssh-server
Description: Distributed resource management - Execution Server
 Grid Engine is software that facilitates "distributed resource
 management" (DRM).  Far more than just simple load-balancing tools or
 batch scheduling mechanisms, DRM software typically provides the
 following key features across large sets of distributed resources:
 .
   * Policy based allocation of distributed resources (CPU time,
     software licenses, etc.)
   * Batch queuing & scheduling
   * Support diverse server hardware, OS and architectures
   * Load balancing & remote job execution
   * Detailed job accounting statistics
   * Fine-grained user specifiable resources
   * Suspend/resume/migrate jobs
   * Tools for reporting Job/Host/Cluster status
   * Job Arrays
   * Integration & control of parallel jobs
 .
 This package contains the Grid Engine execution server.

Package: gridengine-drmaa1.0
Architecture: any
Section: libs
Breaks: libdrmaa1.0 (<< 6.2u5-4)
Replaces: libdrmaa1.0 (<< 6.2u5-4)
Depends:
	${shlibs:Depends},
	${misc:Depends},
Description: Distributed resource management Application API library
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the library which provides the Grid Engine
 implementation of the DRMAA specification.

Package: libdrmaa1.0-java
Architecture: all
Section: java
Replaces: libdrmaa-java (<< 8.1.3)
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (>= ${source:Version}),
Suggests: libdrmaa1.0-java-doc
Description: Distributed resource management Application API library - Java bindings
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the Java bindings for the Grid Engine implementation of
 the DRMAA specification.

Package: libdrmaa1.0-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Distributed resource management Application API library - Java bindings docs
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains Javadocs for the Grid Engine Java binding.

Package: gridengine-drmaa-dev
Architecture: any
Section: libdevel
Breaks: libdrmaa-dev (<< 6.2u5-5)
Replaces: libdrmaa-dev (<< 6.2u5-5)
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (= ${binary:Version}),
Description: Distributed resource management Application API library - development files
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the development files for the library which provides
 the Grid Engine implementation of the DRMAA specification.

Package: libdrmaa1.0-ruby
Architecture: all
Section: ruby
Depends:
	${misc:Depends},
	gridengine-drmaa1.0 (>= ${source:Version}),
	ruby | ruby-interpreter,
Description: Distributed resource management Application API library - Ruby bindings
 DRMAA (Distributed Resource Management Application API) is a specification
 developed by a working group in the Global Grid Forum (GGF).  The intention
 is to provide an API specification for the submission and control of jobs
 to one or more Distributed Resource Management (DRM) systems.
 .
 This package contains the Ruby bindings for the Grid Engine implementation of
 the DRMAA specification.
