=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//" \
http://arc.liv.ac.uk/downloads/SGE/releases/([0-9.]+)/sge-([0-9.]+)\.tar.gz
