## gridengine 8.1.9%2Bdfsg

=== source/clients/qstat/Makefile ===
###############################################################################
# Variable definitions for targets to build
###############################################################################
#___INFO__MARK_BEGIN__
##########################################################################
#
#  The Contents of this file are made available subject to the terms of
#  the Sun Industry Standards Source License Version 1.2
#
#  Sun Microsystems Inc., March, 2001
#
#
#  Sun Industry Standards Source License Version 1.2
#  =================================================
#  The contents of this file are subject to the Sun Industry Standards
#  Source License Version 1.2 (the "License"); You may not use this file
#  except in compliance with the License. You may obtain a copy of the
#  License at http://gridengine.sunsource.net/Gridengine_SISSL_license.html
#
#  Software provided under this License is provided on an "AS IS" basis,
#  WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING,
#  WITHOUT LIMITATION, WARRANTIES THAT THE SOFTWARE IS FREE OF DEFECTS,
#  MERCHANTABLE, FIT FOR A PARTICULAR PURPOSE, OR NON-INFRINGING.
#  See the License for the specific provisions governing your rights and
#  obligations concerning the Software.
#
#  The Initial Developer of the Original Code is: Sun Microsystems, Inc.
#
#  Copyright: 2001 by Sun Microsystems, Inc.
#
#  All Rights Reserved.
#
##########################################################################
#___INFO__MARK_END__
QSTAT_DIR = $(SDIR)/clients/qstat

QSTAT_TARGETS = qstat

QSTAT_SRC = qstat.c

QSTAT_ADD_SRC = \
               parse_job_cull.c \
               parse_qsub.c \
               read_defaults.c \
               qstat_printing.c \
               sge_cqueue_qstat.c \
               show_job.c \
               sig_handlers.c \
               usage.c sge_options.c \
               sge_mt_init.c \
               qstat_cmdline.c \
               qstat_xml.c \
               sge_qstat.c

QSTAT_OBJS = $(QSTAT_SRC:.c=.o)

QSTAT_ADD_OBJS = $(QSTAT_ADD_SRC:.c=.o)

QSTAT_ADD_LIBS = -lsched -levc -lgdi -lsgeobj -lsgeobjd -lcull -lcomm -lcommlists -luti $(WINGRIDLIB) $(SECLIB) $(KRBLIB) $(DLLIB)

QSTAT_LIB_DEPENDS = $(SCHEDLIB) $(EVCLIB) $(GDILIB) $(SGEOBJLIB) $(SGEOBJDLIB) \
                    $(KRBLIBS) $(CULLLIB) $(COMMLIB) $(COMMLISTSLIB) \
                    $(WINGRIDLIB_DEP) $(UTILIB) $(TPLIB)

###############################################################################
# global rules: all, clean, depend, messages
###############################################################################
qstat_clean:
	$(RM) $(QSTAT_TARGETS) $(QSTAT_OBJS) $(QSTAT_ADD_OBJS)

qstat_depend:
	$(DEPEND) -f$(QSTAT_DIR)/qstat_dependencies $(QSTAT_DIR)/*.c

qstat_messages:
	@echo Creating $@
	@for i in `ls $(QSTAT_DIR)/*.c`; do \
		$(CC) $(CFLAGS) -DEXTRACT_MESSAGES -E $$i | $(XGETTEXT) - ; \
	done


###############################################################################
# rules to build binaries
###############################################################################
qstat: $(QSTAT_OBJS) $(QSTAT_ADD_OBJS) $(QSTAT_LIB_DEPENDS) 
		$(LD_WRAPPER) $(CC) -o $@ $(LFLAGS) $(QSTAT_OBJS) $(QSTAT_ADD_OBJS) $(QSTAT_ADD_LIBS) $(SLIBS) $(LIBS)

###############################################################################
# include dependencies for object files generated by sge_depend
###############################################################################
include $(QSTAT_DIR)/qstat_dependencies

###############################################################################
# rules to build object codes
###############################################################################
qstat.o: 	$(QSTAT_DIR)/qstat.c
		$(CC) $(CFLAGS) -c $(QSTAT_DIR)/qstat.c
      
qstat_cmdline.o: 	$(QSTAT_DIR)/qstat_cmdline.c
		$(CC) $(CFLAGS) -c $(QSTAT_DIR)/qstat_cmdline.c

qstat_xml.o: 	$(QSTAT_DIR)/qstat_xml.c
		$(CC) $(CFLAGS) -c $(QSTAT_DIR)/qstat_xml.c
