=== debian/changelog ===
gridengine (8.1.9+dfsg-7build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:49:37 +0000

gridengine (8.1.9+dfsg-7) unstable; urgency=low

  * Maintain under the Debian HPC team
  * Move VCS repository to salsa.debian.org.

 -- Afif Elghraoui <afif@debian.org>  Wed, 27 Dec 2017 01:58:20 -0500

gridengine (8.1.9+dfsg-6) unstable; urgency=medium

  * Fix FTBFS with openssl 1.1
    Thanks to Mark Hymers for the patches (Closes: #827076)
  * Bump Standards-Version to 4.1.1
  * Drop explicit build-dependency on autotools-dev

 -- Afif Elghraoui <afif@debian.org>  Sun, 19 Nov 2017 00:18:39 -0500

gridengine (8.1.9+dfsg-5) unstable; urgency=medium

  * Wrap qstatus and qsched commands (Closes: #870637)
  * Remove unused config files from /etc/gridengine (Closes: #554036)
  * d/rules: minor simplification
  * Set SGE_ARCH variable (Closes: #856671)

 -- Afif Elghraoui <afif@debian.org>  Fri, 11 Aug 2017 15:29:37 -0400

gridengine (8.1.9+dfsg-4) unstable; urgency=low

  * Patch upstream source to declare prerequisites for pdc (Closes: #846770)
  * Update to debhelper 10

 -- Afif Elghraoui <afif@debian.org>  Sat, 10 Dec 2016 13:19:53 -0800

gridengine (8.1.9+dfsg-3) unstable; urgency=low

  * Require libssl1.0
  * Add dependency on lsb-base for init-script-bearing binary packages

 -- Afif Elghraoui <afif@debian.org>  Wed, 23 Nov 2016 21:09:09 -0800

gridengine (8.1.9+dfsg-2) unstable; urgency=low

  * Backport upstream patch to remove deprecated BSD union wait
    (Closes: #833995)
  * Don't force -m32/-m64 for native compilation (Closes: #828877)
  * Set JAVA_HOME variable in d/rules (Closes: #828874)
  * Set proper Java paths for arm64, mips64el, sparc64, and alpha
  * Add support for x32 (Closes: #828884)
  * d/rules; miscellaneous cleanups
    - Override dh_fixperms-indep rather than applying a manual check
    - debian/rules: don't create unnecessary build-stamp

 -- Afif Elghraoui <afif@debian.org>  Sat, 10 Sep 2016 23:00:59 -0700

gridengine (8.1.9+dfsg-1) unstable; urgency=medium

  * Readability improvements:  d/watch, d/rules
  * Verify signatures on upstream release distributions
  * Bump compat version to 9
  * Don't exclude ldAix; document its copyright instead.
    Thanks to Dave Love for adding this in.
  * Bump copyright years
  * Imported Upstream version 8.1.9+dfsg
    - build with MUNGE (Thanks to Dave Love)
    - drop ppc64el patch - similar change was made upstream
    - refresh compiler flags patch
    - remove qidl from Files-Excluded (no longer distributed upstream)
  * Use the arch script to determine folder name rather than hardcode lx-*
  * Don't use aimk -debug
  * Fix db_* symlinks

 -- Afif Elghraoui <afif@debian.org>  Sat, 09 Jul 2016 21:02:36 -0700

gridengine (8.1.8+dfsg-7) unstable; urgency=medium

  * Move gridengine.default out of examples/
    Thanks to Carl Pupa for helping to debug (Closes: 826113)
  * Move API documentation to a new gridengine-dev package
  * Don't manage daemons in maintainer scripts - as advised by upstream

 -- Afif Elghraoui <afif@debian.org>  Sun, 26 Jun 2016 15:16:23 -0700

gridengine (8.1.8+dfsg-6) unstable; urgency=medium

  * Fix complete passage of compiler flags to build system
  * Add notes to ppc64le patch about upstream application
  * Bump Standards-Version to 3.9.8
  * Don't hardcode path of ucf for testing existence in maintainer script
  * Use invoke-rc.d to manage daemons in maintainer scripts
    (Closes: #820874)
  * Use C-UTF-8 locale globally

 -- Afif Elghraoui <afif@debian.org>  Mon, 23 May 2016 21:24:00 -0700
