=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: gridengine
 Section: utils
 Priority: optional
-Maintainer: Debian Grid Engine Maintainers <pkg-gridengine-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian HPC Team <debian-hpc@lists.debian.org>
 Uploaders: Dave Love <d.love@liverpool.ac.uk>,
 	   Afif Elghraoui <afif@debian.org>,
            Laszlo Kajan <lkajan@debian.org>,
            Mark Hymers <mhy@debian.org>,
            Michael Banck <mbanck@debian.org>
 Build-Depends:
-	debhelper (>= 9),
-	dh-autoreconf,
-	autotools-dev,
+	debhelper (>= 10),
 	tcsh | c-shell,
 	libdb-dev,
 	libssl-dev,
@@ -29,10 +28,11 @@
 	libhwloc-dev,
 	libjemalloc-dev,
 	libxft-dev,
-Standards-Version: 3.9.7
+	libmunge-dev,
+Standards-Version: 4.1.1
 Homepage: https://arc.liv.ac.uk/trac/SGE/
-Vcs-Git: https://anonscm.debian.org/git/pkg-gridengine/pkg-gridengine.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gridengine/pkg-gridengine.git
+Vcs-Git: https://salsa.debian.org/hpc-team/gridengine
+Vcs-Browser: https://salsa.debian.org/hpc-team/gridengine
 
 Package: gridengine-common
 Architecture: all
@@ -145,6 +145,7 @@
 	${misc:Depends},
 	gridengine-client (= ${binary:Version}),
 	procps,
+	lsb-base,
 Recommends: db-util
 Description: Distributed resource management - Master Server
  Grid Engine is software that facilitates "distributed resource
@@ -176,6 +177,7 @@
 	gridengine-client (= ${binary:Version}),
 	tcsh | c-shell,
 	procps,
+	lsb-base,
 Suggests: openssh-server
 Description: Distributed resource management - Execution Server
  Grid Engine is software that facilitates "distributed resource
@@ -196,6 +198,39 @@
    * Integration & control of parallel jobs
  .
  This package contains the Grid Engine execution server.
+
+Package: gridengine-dev
+Section: libdevel
+Architecture: all
+Depends:
+	${misc:Depends},
+# For jgdi and juti libs
+	gridengine-client,
+# For jsv lib
+	gridengine-common,
+Suggests: gridengine-drmaa-dev
+Breaks: gridengine-common (<= 8.1.8+dfsg-6)
+Replaces: gridengine-common (<= 8.1.8+dfsg-6)
+Description: Distributed resource management - development files
+ Grid Engine is software that facilitates "distributed resource
+ management" (DRM).  Far more than just simple load-balancing tools or
+ batch scheduling mechanisms, DRM software typically provides the
+ following key features across large sets of distributed resources:
+ .
+   * Policy based allocation of distributed resources (CPU time,
+     software licenses, etc.)
+   * Batch queuing & scheduling
+   * Support diverse server hardware, OS and architectures
+   * Load balancing & remote job execution
+   * Detailed job accounting statistics
+   * Fine-grained user specifiable resources
+   * Suspend/resume/migrate jobs
+   * Tools for reporting Job/Host/Cluster status
+   * Job Arrays
+   * Integration & control of parallel jobs
+ .
+ This package contains development files for interacting with
+ the Grid Engine database and job submission verifier.
 
 Package: gridengine-drmaa1.0
 Architecture: any
